# Install time (time-stream) server.
#
class time::server {

    include inetd::server

    inetd::service { "time-stream":
	ensure => present,
    }

}

# Set default timezone
#
# $timezone_set should point to a file under /usr/share/zoneinfo/
# for example $timezone_set = "Europe/Helsinki".
class time::zone {
    file { "/etc/localtime":
        ensure => present,
        mode => 0644,
        source => "/usr/share/zoneinfo/$timezone_set"
    }

    case $operatingsystem {
        centos,redhat: {
            file { "/etc/sysconfig/clock":
                ensure => present,
                mode => 0644,
                content => template("time/sysconfig_clock.erb"),
            }
        }
    }
}
